// Récupération des données d'un compteur EDF par Rpi
#include <iostream>
#include <string.h>
#include <errno.h>
#include <wiringPi.h>
#include <wiringSerial.h>

using namespace std;

// g++ -o Compteur_EDF_1 -lwiringPi Compteur_EDF_1.cpp  

int main ()
{
  int fd ;

  if (wiringPiSetup () == -1)
  {
	cout<<"Impossible de démarrer wirinPi. Erreur : "<<strerror (errno);
	return 1 ;
  }
  
  if ((fd = serialOpen ("/dev/ttyAMA0", 1200)) < 0)
  {
 	cout<<"Impossible d'ouvrir le port /dev/ttyAMA0. Erreur : "<<strerror (errno);
	return 1 ;
  }

char data;

for (int i(0); i<400; i++)
	{
	data = serialGetchar(fd);		// Lecture et stockage dans data 
	data&=127;
	cout<<data<<" ";
	}
cout<<endl;

serialFlush(fd);		// Effacement buffers série avant lecture Rx

serialClose(fd); 		// Fermeture de l'interface série 

return 0 ;
}
